// Bring in Bulma allowing us to extend and override it.

// Set brand colors.
$blue: #4391E0;
$red: #a70c20;
$light-green: #65AB1F;
$green: #478D00;
$green-gray: #8FB489;
$offwhite: #F8F8F8;

$brown: #AD7442;
// No idea where this yellow came from, apparently Bulma, but we never set it
// yet it is the right color.  Anyway i'm past trying to figure things out.
// Re-setting it here, just so that we can assign it to Gleanings, below.
$yellow: #ffdd57;

// A color for each content type
$article: $green;
$blog: $blue;
$collection: $brown;
$gleaning: $yellow;

// Update Bulma's global variables.
$primary: $green;

$mini: 363px;

// Import each part of Bulma separately so we can layer in our styles.
// Extend or override Bulam's base styles in this themes base.scss etc.
@import "../../node_modules/bulma/sass/utilities/_all";
@import "fonts";
@import "../../node_modules/bulma/sass/base/_all";
@import "base";
@import "../../node_modules/bulma/sass/elements/_all";
@import "elements";
@import "../../node_modules/bulma/sass/form/_all";
@import "form";
$navbar-breakpoint: $mini/2;
@import "../../node_modules/bulma/sass/components/_all";
@import "components";
@import "../../node_modules/bulma/sass/grid/_all";
@import "grid";
@import "../../node_modules/bulma/sass/layout/_all";
@import "layout";

// Stylesheets below will have access to all Bulma variables and mixins.
@import "content";
@import "paint";

// @import '../../node_modules/bulma-extensions/bulma-timeline/dist/bulma-timeline';
